cdb_isdn_vario Struct Reference
Public interface » ID macros » ISDN interface

`#include <hd.h>`

## Data Fields

int | handle
| idx in database
int | next_vario
| link to alternate vario
int | drvid
| unique id of the driver vario
int | typ
| Type to identify the driver.
int | subtyp
| Subtype of the driver type.
int | smp
| SMP supported ?
char * | mod_name
| name of the driver module
char * | para_str
| optional parameter string
char * | mod_preload
| optional modules to preload
char * | cfg_prog
| optional cfg prog
char * | firmware
| optional firmware to load
char * | description
| optional description
char * | need_pkg
| list of packages needed for function
char * | info
| optional additional info
char * | protocol
| supported D-channel protocols
char * | interface
| supported API interfaces
char * | io
| possible IO ports with legacy ISA cards
char * | irq
| possible interrupts with legacy ISA cards
char * | membase
| possible membase with legacy ISA cards
char * | features
| optional features
int | card_ref
| reference to a card
char * | name
| driver name

The documentation for this struct was generated from the following file:

- hd.h